Package org.apache.wiki.i18n

# Interface InternationalizationManager

All Known Implementing Classes:
  `DefaultInternationalizationManager`

public interface InternationalizationManager
Manages all internationalization in JSPWiki.

Since:
  2.6

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CORE_BUNDLE`
The name of the ResourceBundle which contains any and all JSPWiki core resource strings.
`static final String`
`DEF_TEMPLATE`
The name of the ResourceBundle which contains any and all JSPWiki default templates resource strings.

## Method Summary

Modifier and Type
Method
Description
`default String`
`get(String key)`
Returns a String from the CORE_BUNDLE using English as the default locale.
`default String`
`get(String bundle, Locale locale, String key)`
If you are too lazy to open your own bundle, use this method to get a string simply from a bundle.
`default String`
`get(String bundle, Locale locale, String key, Object... args)`
Obtain a parameterized String from the bundle.
`default ResourceBundle`
`getBundle(String bundle, Locale locale)`
Finds a resource bundle.

## Field Details

### CORE_BUNDLE

static final String CORE_BUNDLE
The name of the ResourceBundle which contains any and all JSPWiki core resource strings. It's value is "CoreResources".

See Also:
  - Constant Field Values

### DEF_TEMPLATE

static final String DEF_TEMPLATE
The name of the ResourceBundle which contains any and all JSPWiki default templates resource strings. It's value is "templates.default".

See Also:
  - Constant Field Values

## Method Details

### get

default String get(String key) throws MissingResourceException
Returns a String from the CORE_BUNDLE using English as the default locale.

Parameters:
  `key` - Key to find
Returns:
  The English string
Throws:
  `MissingResourceException` - If there is no such key

### getBundle

default ResourceBundle getBundle(String bundle, Locale locale) throws MissingResourceException
Finds a resource bundle.

Parameters:
  `bundle` - The ResourceBundle to find. Must exist.
  `locale` - The Locale to use. Set to null to get the default locale.
Returns:
  A localized string
Throws:
  `MissingResourceException` - If the key cannot be located at all, even from the default locale.

### get

default String get(String bundle, Locale locale, String key) throws MissingResourceException
If you are too lazy to open your own bundle, use this method to get a string simply from a bundle.

Parameters:
  `bundle` - Which bundle the string is in
  `locale` - Locale to use - null for default
  `key` - Which key to use.
Returns:
  A localized string (or from the default language, if not found)
Throws:
  `MissingResourceException` - If the key cannot be located at all, even from the default locale.

### get

default String get(String bundle, Locale locale, String key, Object... args) throws MissingResourceException
Obtain a parameterized String from the bundle.

Parameters:
  `bundle` - Which bundle the string is in
  `locale` - Locale to use - null for default
  `key` - Which key to use.
  `args` - parameters to insert in the String.
Returns:
  A localized string (or from the default language, if not found)
Throws:
  `MissingResourceException` - If the key cannot be located at all, even from the default locale.